GcubeApplicationReader (opengcubeapplication 1.0.0-SNAPSHOT API)
Date: 2013-02-26

org.gcube.portlets.user.opengcubeapplication.reader

## Class GcubeApplicationReader

- java.lang.Object
- - org.gcube.portlets.user.opengcubeapplication.reader.GcubeApplicationReader

- All Implemented Interfaces:
    Serializable

      public class GcubeApplicationReader
      extends Object
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `APPLICATION_PROFILE`
    `protected static String` | `RESOURCE_PROFILE_BODY_APP_ID_TEXT`
    `protected static String` | `RESOURCE_PROFILE_NAME_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GcubeApplicationReader(String type, org.gcube.common.core.scope.GCUBEScope scope, String secondaryType, String portletClassName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GcubeApplication` | `getGcubeApplication()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APPLICATION_PROFILE

          protected static final String APPLICATION_PROFILE

      See Also:
        Constant Field Values

    - #### RESOURCE_PROFILE_BODY_APP_ID_TEXT

          protected static final String RESOURCE_PROFILE_BODY_APP_ID_TEXT

      See Also:
        Constant Field Values

    - #### RESOURCE_PROFILE_NAME_TEXT

          protected static final String RESOURCE_PROFILE_NAME_TEXT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GcubeApplicationReader

          public GcubeApplicationReader(String type,
                                org.gcube.common.core.scope.GCUBEScope scope,
                                String secondaryType,
                                String portletClassName)

      Parameters:
        `type` - - the FolderItemType to be searched
        `scope` - - the scope to be searched
        `genericResource` - - the name of generic resource
        `portletClassName` - - the AppId of generic resource

  - ### Method Detail

    - #### getGcubeApplication

          public GcubeApplication getGcubeApplication()

Copyright © 2013. All Rights Reserved.